# Copyright 1999-2024 Gentoo Authors
# Distributed under the terms of the GNU General Public License v2

EAPI=8
PYTHON_COMPAT=( python3_{11..13} )
DISTUTILS_USE_PEP517=poetry

inherit distutils-r1 pypi

DESCRIPTION="Pydantic OpenAPI schema implementation"
HOMEPAGE="https://github.com/mike-oakley/openapi-pydantic"

SRC_URI="https://github.com/mike-oakley/openapi-pydantic/archive/refs/tags/v${PV}.tar.gz"

LICENSE="MIT"
SLOT="0"
KEYWORDS="~amd64 ~arm64"
IUSE=""

DEPEND="
	dev-python/pydantic
"

S="${WORKDIR}/${PN/_/-}-${PV}"

