# Copyright 1999-2024 Gentoo Authors
# Distributed under the terms of the GNU General Public License v2

EAPI=8
PYTHON_COMPAT=( python3_{11..13} )
DISTUTILS_USE_PEP517=poetry

inherit distutils-r1 pypi

DESCRIPTION="Python module for accessing XDG Base Directory paths, simplifying handling of user cache, configuration, and data files."
HOMEPAGE="https://github.com/srstevenson/xdg-base-dirs"

LICENSE="ISC"
SLOT="0"
KEYWORDS="~amd64 ~arm64"
IUSE=""
